[tool.poetry]
name = "stock-learning"
version = "0.1.0"
description = ""
authors = ["lanyuanxiaoyao <lanyuanxiaoyao@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.12"
tushare = "^1.4.14"
jupyter = "^1.1.1"
akshare = "^1.15.60"
pymysql = "^1.1.1"
pandas = "^2.2.3"
matplotlib = "^3.10.0"
prophet = "^1.1.6"
mplfinance = "^0.12.10b0"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
